import type { GoogleTagManagerApi } from 'third-party-capital';
import type { RegistryScriptInput } from '#nuxt-scripts';
export declare const GoogleTagManagerOptions: import("valibot").ObjectSchema<{
    readonly id: import("valibot").StringSchema<undefined>;
}, undefined>;
declare global {
    interface Window extends GoogleTagManagerApi {
    }
}
export type GoogleTagManagerInput = RegistryScriptInput<typeof GoogleTagManagerOptions>;
export declare function useScriptGoogleTagManager<T extends GoogleTagManagerApi>(_options?: GoogleTagManagerInput): T & {
    $script: Promise<T> & import("@unhead/vue").VueScriptInstance<T>;
};
